# Class TimeCellCollection

java.lang.Object
java.util.AbstractCollection<TimeCell>
java.util.AbstractList<TimeCell>
java.util.ArrayList<TimeCell>
org.daypilot.data.TimeCellCollection

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<TimeCell>`, `Collection<TimeCell>`, `List<TimeCell>`, `RandomAccess`, `SequencedCollection<TimeCell>`

public class TimeCellCollection extends ArrayList<TimeCell>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeCellCollection()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TimeCell`
  `add(DateTime start, DateTime end)`
  `TimeCell`
  `add(DateTime start, DateTime end, int width)`
  `JSONArray`
  `getJSON()`
  `void`
  `restoreFromJSON(JSONArray input)`

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll, reversed`

- ## Constructor Details

  - ### TimeCellCollection

    public TimeCellCollection()

- ## Method Details

  - ### add

    public TimeCell add(DateTime start, DateTime end, int width)

  - ### add

    public TimeCell add(DateTime start, DateTime end)

  - ### getJSON

    public JSONArray getJSON()

  - ### restoreFromJSON

    public void restoreFromJSON(JSONArray input)